List shipments
curl --request GET \
--url https://sg.sandbox.api.reap.global/card-shipments/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/card-shipments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/card-shipments/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "DRAFT",
"destinationAddress": {
"line1": "<string>",
"line2": "<string>",
"zone": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "US"
},
"recipient": {
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"dialCode": 123,
"email": "jsmith@example.com"
},
"courier": {
"type": "POSTAL"
},
"trackingNumber": "<string>",
"trackingUrl": "<string>",
"cutoffDate": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"submittedAt": "<string>",
"deliveredAt": "<string>",
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardDesignId": "<string>",
"shippingAddress": {
"line1": "<string>",
"line2": "<string>",
"zone": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "US"
},
"productionStatus": "PENDING",
"rejectedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
],
"nextCursor": "<string>"
}Card Shipments
List shipments
Returns a paginated list of card shipments, most recent first. Pass cardId to filter to shipments that include a given card (or any of several cards). Pass include=cards to include every card in each matching shipment.
GET
/
card-shipments
/
List shipments
curl --request GET \
--url https://sg.sandbox.api.reap.global/card-shipments/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/card-shipments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/card-shipments/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "DRAFT",
"destinationAddress": {
"line1": "<string>",
"line2": "<string>",
"zone": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "US"
},
"recipient": {
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"dialCode": 123,
"email": "jsmith@example.com"
},
"courier": {
"type": "POSTAL"
},
"trackingNumber": "<string>",
"trackingUrl": "<string>",
"cutoffDate": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"submittedAt": "<string>",
"deliveredAt": "<string>",
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardDesignId": "<string>",
"shippingAddress": {
"line1": "<string>",
"line2": "<string>",
"zone": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "US"
},
"productionStatus": "PENDING",
"rejectedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
],
"nextCursor": "<string>"
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Query Parameters
Maximum number of items to return (1-100, default: 20)
Required range:
x <= 100Examples:
20
50
100
Opaque cursor for pagination. Pass nextCursor from previous response to get next page.
Filter shipments by status (comma-separated)
DRAFT: Shipment created locally but not yet placed with the manufacturerPLACED: Shipment placed and awaiting productionIN_PRODUCTION: At least one card in the shipment is being producedREADY_TO_SHIP: All cards produced and awaiting courier pickupIN_TRANSIT: Shipment is in transit to the recipientOUT_FOR_DELIVERY: Shipment is with the courier for final deliveryDELIVERED: Shipment was delivered to the recipientDELIVERY_FAILED: Delivery attempt failed, courier may re-attemptEXCEPTION: Shipment encountered an exception that may still recoverCANCELED: Shipment was canceled and will not continue
Available options:
DRAFT, PLACED, IN_PRODUCTION, READY_TO_SHIP, IN_TRANSIT, OUT_FOR_DELIVERY, DELIVERED, DELIVERY_FAILED, EXCEPTION, CANCELED Filter shipments by card ID(s) (comma-separated). Returns shipments that include any of the given cards as members.
Related resources to include. Pass cards to include all cards in each matching shipment.
Allowed value:
"cards"